// creator  : weidu.exe (version 23100)
// argument : HELLGEN.DLG
// game		 : .
// source	 : ./override/HELLGEN.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~HELLGEN~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #55055 /* ~I see the ruler of this small plane has come to me.  Perhaps my eternal torment shall be relieved at long last!  Oh... I can only hope.~ [HELGEN02] */
  IF ~~ THEN REPLY #55056 /* ~Are you the one who guards the Tear of Bhaal?~ */ GOTO 1
  IF ~~ THEN REPLY #55065 /* ~Eternal torment?  What do you mean by that?~ */ GOTO 2
  IF ~~ THEN REPLY #55066 /* ~It shall be relieved by your death!!~ */ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #55068 /* ~I am, to my everlasting lament. It is my punishment that I hold the Tear of Bhaal, to remain evermore until certain... conditions are met. Only then may I be free.~ */
  IF ~~ THEN REPLY #55069 /* ~What conditions are those?~ */ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #55070 /* ~(sigh) It is a punishment. I have been brought to this plane to hold the Tear of Bhaal, and I shall remain for eternity until certain... conditions... are met.~ */
  IF ~~ THEN REPLY #55071 /* ~And what conditions might those be?~ */ GOTO 4
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #55072 /* ~It shall, indeed.  You have been given the key which allows you to end my life... and that, too, is a release.  I welcome it... should you prove able.~ */
  IF ~~ THEN DO ~SetGlobal("Player1Greed","GLOBAL",2)
Enemy()~ UNSOLVED_JOURNAL #10250 /* ~Finding Irenicus in Hell

Having Blackrazor obviously gives me the ability to dispatch the genie and gain the Tear of Bhaal for myself, and I have chosen to do so.  I am not about to give up this sword so easily.~ */ EXIT
END

IF ~~ THEN BEGIN 4 // from: 2.0 1.0
  SAY #55073 /* ~I... cannot tell you directly, my <PRO_LADYLORD>.  It is a condition of my punishment that I can only tell you of its nature in a riddle.  Listen carefully:~ */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 15.0 4.0
  SAY #55075 /* ~"Ye who hold the razor's blade
Forged of darkest iron
Quenched by blood and fear,
Know that ye hold the key
To the one who guards
Bhaal's sacred murdered tear."~ */
  IF ~~ THEN REPLY #55076 /* ~So... let me get this straight.  The sword Blackrazor is the key to getting the Tear of Bhaal from you?~ */ GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #55077 /* ~I cannot answer that, my <PRO_LADYLORD>.~ */
  IF ~PartyHasItem("MISCBC")~ THEN REPLY #55078 /* ~So if I were to give you Blackrazor, would you give me the Tear?  And that would release you from your punishment?~ */ GOTO 7
  IF ~PartyHasItem("MISCBC")~ THEN REPLY #55079 /* ~So the sword allows me to kill you, is that it?  That would release you from your punishment?~ */ GOTO 8
  IF ~!PartyHasItem("MISCBC")~ THEN REPLY #55080 /* ~It does not matter... I do not have the sword at the moment, anyway.~ */ GOTO 9
END

IF ~~ THEN BEGIN 7 // from: 15.1 8.0 6.0
  SAY #55081 /* ~It would, my <PRO_LADYLORD>.~ */
  IF ~~ THEN REPLY #55082 /* ~But Blackrazor also allows me to kill you, is that right?  That would release you, too.~ */ GOTO 8
  IF ~~ THEN REPLY #55083 /* ~Take the sword, then.  I have no need of it.~ */ GOTO 10
  IF ~~ THEN REPLY #55084 /* ~I'm not sure what I want to do, then.~ */ GOTO 11
END

IF ~~ THEN BEGIN 8 // from: 15.2 7.0 6.1
  SAY #55085 /* ~You do not need the sword, itself, to do that.  The fact that you were given Blackrazor is enough, even if you possess it no longer.  But, yes... that, too, would be a release.~ */
  IF ~~ THEN REPLY #55086 /* ~But I could give you the sword, as well, right?  That would release you from guarding the Tear?~ */ GOTO 7
  IF ~~ THEN REPLY #55087 /* ~Then I suppose it's time for you to die!~ */ GOTO 12
  IF ~~ THEN REPLY #55088 /* ~I'm not sure what I want to do.~ */ GOTO 11
END

IF ~~ THEN BEGIN 9 // from: 15.3 6.2
  SAY #55089 /* ~You do not need the blade to end my life, however.  The fact that you were given Blackrazor is enough to allow my release... should you wish to do this.~ */
  IF ~~ THEN REPLY #55090 /* ~Really?  Then I suppose it is time for you to die!~ */ GOTO 12
  IF ~~ THEN REPLY #55091 /* ~But if I returned with the blade and gave it to you... would that release you from your punishment?~ */ GOTO 13
END

IF ~~ THEN BEGIN 10 // from: 7.1
  SAY #55092 /* ~I am most grateful to you, then, for my release.  May the Heavens sing your praises for this charity you have shown me, my <PRO_LADYLORD>.~ [HELGEN08] */
  IF ~~ THEN DO ~TakePartyItem("MISCBC")
GiveItem("MISCB7",LastTalkedToBy)
AddexperienceParty(20000)
SetGlobal("Player1Greed","GLOBAL",1)
CreateVisualEffect("spplanar",[362.918])
Wait(2)
DestroySelf()~ JOURNAL #15713 /* ~Finding Irenicus in Hell

The demon's sword, 'Blackrazor', was obviously the key which allowed me to free the genie from its enslavement here in Hell.  I surrendered the item to the creature so that it might be free, and the genie was quite grateful.  I doubt I have any need of such a sword, anyway.~ */ EXIT
END

IF ~~ THEN BEGIN 11 // from: 13.2 8.2 7.2
  SAY #55093 /* ~You may always return to me if you wish, my <PRO_LADYLORD>.  I have nowhere else to go.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 12 // from: 13.0 9.0 8.1
  SAY #55094 /* ~I welcome such a release... should you prove able.~ [HELGEN07] */
  IF ~~ THEN DO ~SetGlobal("Player1Greed","GLOBAL",2)
Enemy()~ UNSOLVED_JOURNAL #10250 /* ~Finding Irenicus in Hell

Having Blackrazor obviously gives me the ability to dispatch the genie and gain the Tear of Bhaal for myself, and I have chosen to do so.  I am not about to give up this sword so easily.~ */ EXIT
END

IF ~~ THEN BEGIN 13 // from: 9.1
  SAY #55095 /* ~It would, my <PRO_LADYLORD>.~ */
  IF ~~ THEN REPLY #55096 /* ~I would rather just destroy you now, actually.~ */ GOTO 12
  IF ~~ THEN REPLY #55097 /* ~Perhaps I shall return with the sword, then.~ */ GOTO 14
  IF ~~ THEN REPLY #55098 /* ~I am not sure what to do.~ */ GOTO 11
END

IF ~~ THEN BEGIN 14 // from: 13.1
  SAY #55099 /* ~As you wish, my <PRO_LADYLORD>.~ */
  IF ~~ THEN EXIT
END

IF ~True()~ THEN BEGIN 15 // from:
  SAY #55100 /* ~You yet hold the key to my release from this agony that is my prison.  Will you not release me?~ [HELGEN06] */
  IF ~~ THEN REPLY #55101 /* ~Tell me that riddle again, first.~ */ GOTO 5
  IF ~PartyHasItem("MISCBC")~ THEN REPLY #55102 /* ~So if I give Blackrazor to you, that would release you, right?~ */ GOTO 7
  IF ~PartyHasItem("MISCBC")~ THEN REPLY #55103 /* ~So the sword allows me to kill you, right?  And that would be a release?~ */ GOTO 8
  IF ~!PartyHasItem("MISCBC")~ THEN REPLY #55104 /* ~I do not hold the key... I don't have the sword with me, genie.~ */ GOTO 9
END
